Bug 198381 - Package lam lacks IPv6 support
Package lam lacks IPv6 support
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lam (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-07-11 06:21 EDT by Peter Vrabec
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-02 15:35:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2006-07-11 06:21:19 EDT
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/lam-7.1.2/otb/lamnodes/lamnodes.c:62:			sizeof(struct in_addr), AF_INET);
/lam-7.1.2/otb/sys/impid/dance.c:376:    h = gethostbyaddr(remote_addr, client_len, AF_INET);
/lam-7.1.2/otb/mpirun/totalview.c:349:			     sizeof(struct in_addr), AF_INET);
/lam-7.1.2/share/trillium/rhreq.c:201:			   sizeof(struct in_addr), AF_INET);
/lam-7.1.2/share/boot/lamnet.c:120:    lamnet[i].lnd_addr.sin_family = AF_INET;
/lam-7.1.2/share/boot/lamnet.c:198:	sock = socket(AF_INET, SOCK_DGRAM, 0);
/lam-7.1.2/share/boot/lamnet.c:286:		if (preq->ifr_addr.sa_family != AF_INET) 
/lam-7.1.2/share/etc/socket.c:71:	if ((sockd = socket(AF_INET, SOCK_STREAM, 0)) < 0) {
/lam-7.1.2/share/etc/socket.c:78:	srvaddr.sin_family = AF_INET;
/lam-7.1.2/share/etc/socket.c:141:		if ((sockd = socket(AF_INET, SOCK_STREAM, 0)) < 0) {
/lam-7.1.2/share/etc/socket.c:148:		srvaddr.sin_family = AF_INET;
/lam-7.1.2/share/etc/socket.c:486:	if ((sockd = socket(AF_INET, SOCK_DGRAM, 0)) < 0) {
/lam-7.1.2/share/etc/socket.c:534:	sockd = socket(AF_INET, SOCK_DGRAM, 0);
/lam-7.1.2/share/etc/socket.c:565:	addr->sin_family = AF_INET;
/lam-7.1.2/share/etc/lam_gethostby.c:78:      s.sin_family = AF_INET;
/lam-7.1.2/share/etc/lam_gethostby.c:115:  h_byname.h_addrtype = AF_INET;
/lam-7.1.2/share/etc/lam_gethostby.c:138:  s.sin_family = AF_INET;
/lam-7.1.2/share/etc/lam_gethostby.c:178:  h_byaddr.h_addrtype = AF_INET;
/lam-7.1.2/share/ssi/base/ssi_hostmap.c:213:      hostmap[i].lnd_addr.sin_family = AF_INET;
/lam-7.1.2/share/ssi/boot/slurm/src/ssi_boot_slurm.c:361:    nodes[i].lnd_addr.sin_family = AF_INET;
Comment 1 Doug Ledford 2006-11-02 15:35:39 EST
LAM is deprecated, and I intend to remove it entirely after FC6.  It is
therefore unlikely to get the love needed to become IPV6 aware.  (It's also
deprecated upstream)

Note You need to log in before you can comment on or make changes to this bug.